Bug 464445 - xm trigger <domain> init causes kernel panic.
xm trigger <domain> init causes kernel panic.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.2
ia64 Linux
urgent Severity urgent
: beta
: ---
Assigned To: Tetsu Yamamoto
Martin Jenner
: ZStream
Depends On:
Blocks: 467105
  Show dependency treegraph
 
Reported: 2008-09-29 01:30 EDT by Wade Mealing
Modified: 2010-10-23 00:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 14:41:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (2.48 KB, patch)
2008-10-13 16:03 EDT, Tetsu Yamamoto
no flags Details | Diff

  None (edit)
Description Wade Mealing 2008-09-29 01:30:35 EDT
New Note 15

Description of problem:

The Red Hat Enterprise LInux 5.2 Hypervisor has a problem with PAL_INIT handling.

When attempting to run the command xm trigger <domain> init.  The kernel panics with the following message:

(XEN) $$$$$ PANIC in domain 5 (k6=0xf000000007ae0000): domain tries to
execute foreign domain page which might be mapped by grant table.

Version-Release number of selected component (if applicable):

kernel-xen-2.6.18-92.1.13.el5

How reproducible:

Every time.

Steps to Reproduce:
1. Attempt to dump a win2k core
2. run command.
  
Actual results:

Kernel panic

Expected results:

System to dump core


Additional info:

Patch to be attached.
Comment 3 Wade Mealing 2008-09-29 02:42:42 EDT
This only seems to happen on the ia64 platform.
Comment 8 Martin Jenner 2008-10-13 12:20:00 EDT
QE ack provided - I will be looking for help from Fujitsu to help confirm this when we have a candidate 5.2.z kernel.
Comment 9 Tetsu Yamamoto 2008-10-13 16:03:48 EDT
Created attachment 320223 [details]
proposed patch
Comment 11 Don Zickus 2008-10-20 11:13:28 EDT
in kernel-2.6.18-120.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 18 errata-xmlrpc 2009-01-20 14:41:41 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.